public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Alfredo Tupone" <tupone@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-ml/lablgtk/
Date: Fri, 27 Jan 2023 22:00:21 +0000 (UTC)	[thread overview]
Message-ID: <1674856804.af424a7023749ea8e88bd74d8e3d0106fbb5fbe5.tupone@gentoo> (raw)

commit:     af424a7023749ea8e88bd74d8e3d0106fbb5fbe5
Author:     Alfredo Tupone <tupone <AT> gentoo <DOT> org>
AuthorDate: Fri Jan 27 21:58:41 2023 +0000
Commit:     Alfredo Tupone <tupone <AT> gentoo <DOT> org>
CommitDate: Fri Jan 27 22:00:04 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=af424a70

dev-ml/lablgtk: add 3.1.3

Signed-off-by: Alfredo Tupone <tupone <AT> gentoo.org>

 dev-ml/lablgtk/Manifest             |  1 +
 dev-ml/lablgtk/lablgtk-3.1.3.ebuild | 31 +++++++++++++++++++++++++++++++
 2 files changed, 32 insertions(+)

diff --git a/dev-ml/lablgtk/Manifest b/dev-ml/lablgtk/Manifest
index a961ff2242c2..c365f27fa00e 100644
--- a/dev-ml/lablgtk/Manifest
+++ b/dev-ml/lablgtk/Manifest
@@ -2,4 +2,5 @@ DIST lablgtk-2.18.10.tar.gz 1068504 BLAKE2B 8f82cd8b31c136420bfbbeaf78ec2d7913b7
 DIST lablgtk-2.18.12.tar.gz 1066997 BLAKE2B fcdc74ae444af509b2c95929ac8df556aeea21187a95433a9c67ac3d7a515054d53c4955ea2e908297065fd005099fb5df45d52311cf015f63a72780c11cccb8 SHA512 284a1234ae817c4df49809d28c103ca5e64046da5ec9ff28c6edc0ce999e9d3e6e180dd053f8b1663d4fb3b7ba19570d53b9441c8fa622add924e8d85e41b813
 DIST lablgtk-2.18.13.tar.gz 1073083 BLAKE2B d3be54b0194e8b67b66eee9663d121e9007f6eb1d04cf322f83dfc5ddd5c3a27ad6f19204429ea5941d9cfe97ac9583af41ae713de5552b5d11245e4216ad5c1 SHA512 41deafbf8bbb9d15950d74a053e21c65aa0d2d4044a41d048f197e744a82ebbe159d43f67092fa19a8385bf0f7da0250ef2f0a532a0810e88f695d6f1fef4c48
 DIST lablgtk-3.1.2.tar.gz 1042626 BLAKE2B 355ff285248129a063c041d3e64db33424ddbb71774128d7be980b8bd0b54cfa54b9d50b1c2f8527b8f6563836189ad72d30e4421b22d5938b888e61ada55056 SHA512 c63a492160f36685f65cb6bc0e72ff4939005acb2c65c56c0d9ba8f2112a618f24db84765e7b4416e49024048a36895028cfc5ef2c3e298dd4a309e902e34af5
+DIST lablgtk-3.1.3.tar.gz 1043246 BLAKE2B 639b1a7610ea420cbae893eb40fd0a20a7605ecc89e832387f3137a002fd4989342ca842c1c7e9057454e0b6cfac9099c5788b5ea14fa452bde54bacb18aeac2 SHA512 a14e07145a2844ebb039d7af459e2fac61888c27925ed14e508698f622aeb5ec3b0694f2b87fb7b5383d8979791a3e6fe8425f4bb509effe838d0a09dd9c50b9
 DIST lablgtk3-3.1.1.tbz 854720 BLAKE2B e6a916151fe1ca0746c14c2a66cd178f3b0c051976815a1d13daf801002f16bc76d9f4cb15625353f0cfbdc16b0a218857d72c4e57125050bbcffe67f7096ad0 SHA512 193c340d9941680869eb90bc89f5b27cc5bdf294f4635081a9ba56a99fa2982266c4ee2eb5fd04d3a3f6150082800de5df786def8c72a276a779d843d914e9e3

diff --git a/dev-ml/lablgtk/lablgtk-3.1.3.ebuild b/dev-ml/lablgtk/lablgtk-3.1.3.ebuild
new file mode 100644
index 000000000000..f39d127d7a59
--- /dev/null
+++ b/dev-ml/lablgtk/lablgtk-3.1.3.ebuild
@@ -0,0 +1,31 @@
+# Copyright 2019-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DUNE_PKG_NAME=lablgtk3
+
+inherit dune
+
+DESCRIPTION="OCaml bindings to GTK-3"
+HOMEPAGE="https://github.com/garrigue/lablgtk"
+SRC_URI="https://github.com/garrigue/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="LGPL-2.1-with-linking-exception"
+SLOT="3/${PV}"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~x86"
+IUSE="+ocamlopt sourceview"
+
+BDEPEND="dev-ml/camlp5"
+DEPEND="
+	app-text/gtkspell:3=
+	x11-libs/gtk+:3=
+	dev-ml/cairo2:=
+	x11-libs/gtksourceview:3.0=
+"
+RDEPEND="${DEPEND}"
+PDEPEND="sourceview? ( dev-ml/lablgtk-sourceview:${SLOT} )"
+
+src_compile() {
+	dune build --profile release -p ${DUNE_PKG_NAME} || die
+}


             reply	other threads:[~2023-01-27 22:00 UTC|newest]

Thread overview: 60+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2023-01-27 22:00 Alfredo Tupone [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-06-26 19:22 [gentoo-commits] repo/gentoo:master commit in: dev-ml/lablgtk/ Alfredo Tupone
2024-06-26  8:31 Alfredo Tupone
2024-06-06 19:24 Alfredo Tupone
2023-04-09 13:08 Arthur Zamarin
2023-04-09 12:47 Arthur Zamarin
2023-04-09 12:41 Arthur Zamarin
2023-04-01 19:52 Sam James
2023-03-17 16:51 Arthur Zamarin
2023-03-17 10:03 Arthur Zamarin
2023-03-16 23:16 Sam James
2023-03-16 23:16 Sam James
2023-02-15 18:38 Matt Turner
2023-01-20 20:12 Alfredo Tupone
2022-12-06 21:27 Alfredo Tupone
2022-12-06  9:25 Sam James
2022-12-05 13:28 Alfredo Tupone
2022-09-05 22:09 Maciej Barć
2021-03-14  0:48 Sam James
2021-02-21 10:17 Andreas Sturmlechner
2021-02-21 10:17 Andreas Sturmlechner
2021-02-19 21:13 Alfredo Tupone
2021-01-27 19:30 Alfredo Tupone
2021-01-14  6:42 Alfredo Tupone
2020-11-01 11:38 Sam James
2020-10-28  3:36 Sam James
2020-10-24  0:38 Sam James
2020-10-22 13:59 Sam James
2020-10-22 13:59 Sam James
2020-10-22 12:13 Sam James
2020-09-20 20:21 Agostino Sarubbo
2020-09-09 18:35 Alfredo Tupone
2020-09-07  8:47 Sergei Trofimovich
2020-06-21 20:31 Thomas Deutschmann
2020-03-23 17:41 Alfredo Tupone
2020-03-20 20:06 David Seifert
2020-02-17 20:26 Alfredo Tupone
2020-02-17 20:26 Alfredo Tupone
2020-01-31 13:05 Joonas Niilola
2020-01-31 13:05 Joonas Niilola
2020-01-07 21:01 Jason A. Donenfeld
2017-11-04  9:53 Alexis Ballier
2017-11-04  9:53 Alexis Ballier
2017-04-05 17:50 Markus Meier
2017-01-22 17:54 Alexis Ballier
2017-01-22 16:36 Tobias Klausmann
2017-01-14 17:57 Mikle Kolyada
2017-01-08 10:50 Aaron Bauman
2016-12-27  1:16 Aaron Bauman
2016-08-12 12:53 Alexis Ballier
2016-07-05  9:43 Tobias Klausmann
2016-06-29 21:14 Michał Górny
2016-06-24  9:57 Alexis Ballier
2016-04-30 14:18 Alexis Ballier
2016-04-30 14:18 Alexis Ballier
2016-01-11  9:07 Agostino Sarubbo
2016-01-09  6:43 Agostino Sarubbo
2015-12-07 11:40 Agostino Sarubbo
2015-12-03 13:28 Agostino Sarubbo
2015-11-25  8:54 Agostino Sarubbo

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1674856804.af424a7023749ea8e88bd74d8e3d0106fbb5fbe5.tupone@gentoo \
    --to=tupone@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox